class CfgPatches
{
	class DUG_Assets_WoolCoat
	{
		units[]={};
		weapons[]={};
		requiredVersion=0.1;
		requiredAddons[]=
		{
			"DZ_Characters",
			"DZ_Characters_Tops",
			"DZ_Data"
		};
	};
};
class cfgVehicles
{
	class WoolCoat_ColorBase;
	class Clothing;

	class DUG_WoolCoat_Leather_ColorBase: Clothing
	{
		displayName="$STR_CfgVehicles_WoolCoat_ColorBase0";
		descriptionShort="$STR_CfgVehicles_WoolCoat_ColorBase1";
		model="\DZ\characters\tops\WoolCoat_g.p3d";
		ContinuousActions[]={190};
		inventorySlot="Body";
		itemInfo[]=
		{
			"Clothing",
			"Body"
		};
		weight=3200;
		itemSize[]={4,4};
		itemsCargoSize[]={6,5};
		quickBarBonus=1;
		heatIsolation=0.5;
		absorbency=0.34999999;
		repairableWithKits[]={5,2};
		repairCosts[]={30,25};
		soundAttType="Coat";
		hiddenSelections[]=
		{
			"camoGround",
			"camoMale",
			"camoFemale"
		};
		hiddenSelectionsMaterials[] = {
			"DUG\client\assets\tops\woolcoat\woolcoat_leather.rvmat",
			"DUG\client\assets\tops\woolcoat\woolcoat_leather.rvmat",
			"DUG\client\assets\tops\woolcoat\woolcoat_leather.rvmat"
		};
		class DamageSystem
		{
			class GlobalHealth
			{
				class Health
				{
					hitpoints=100;
					healthLevels[]=
					{
						
						{
							1.00000000,
							
							{
								"DUG\client\assets\tops\woolcoat\woolcoat_leather.rvmat"
							}
						},
						
						{
							0.69999999,
							
							{
								"DUG\client\assets\tops\woolcoat\woolcoat_leather.rvmat"
							}
						},
						
						{
							0.50000000,
							
							{
								"DUG\client\assets\tops\woolcoat\woolcoat_leather_damage.rvmat"
							}
						},
						
						{
							0.30000001,
							
							{
								"DUG\client\assets\tops\woolcoat\woolcoat_leather_damage.rvmat"
							}
						},
						
						{
							0.00000000,
							
							{
								"DUG\client\assets\tops\woolcoat\woolcoat_leather_destruct.rvmat"
							}
						}
					};
				};
			};
			class GlobalArmor
			{
				class Melee
				{
					class Health
					{
						damage=0.89999998;
					};
					class Blood
					{
						damage=0.89999998;
					};
					class Shock
					{
						damage=0.89999998;
					};
				};
				class Infected
				{
					class Health
					{
						damage=0.89999998;
					};
					class Blood
					{
						damage=0.89999998;
					};
					class Shock
					{
						damage=0.89999998;
					};
				};
			};
		};
		class ClothingTypes
		{
			male="\DZ\characters\tops\WoolCoat_m.p3d";
			female="\DZ\characters\tops\WoolCoat_f.p3d";
		};
		class AnimEvents
		{
			class SoundWeapon
			{
				class pickUpItem
				{
					soundSet="Shirt_pickup_SoundSet";
					id=797;
				};
				class drop
				{
					soundset="Shirt_drop_SoundSet";
					id=898;
				};
			};
		};
	};

	class DUG_WoolCoat_Leather_Brown_NoDamage: DUG_WoolCoat_Leather_ColorBase
	{
		scope=2;
		hiddenSelectionsTextures[]=
		{
			"DUG\client\assets\tops\woolcoat\woolcoat_leather_brown_co.paa",
			"DUG\client\assets\tops\woolcoat\woolcoat_leather_brown_co.paa",
			"DUG\client\assets\tops\woolcoat\woolcoat_leather_brown_co.paa"
		};
	};

	class DUG_WoolCoat_Leather_Brown_WithDamage: WoolCoat_ColorBase
	{
		scope=2;
		hiddenSelectionsTextures[]=
		{
			"DUG\client\assets\tops\woolcoat\woolcoat_leather_brown_co.paa",
			"DUG\client\assets\tops\woolcoat\woolcoat_leather_brown_co.paa",
			"DUG\client\assets\tops\woolcoat\woolcoat_leather_brown_co.paa"
		};
		hiddenSelectionsMaterials[] = {
			"DUG\client\assets\tops\woolcoat\woolcoat_leather.rvmat",
			"DUG\client\assets\tops\woolcoat\woolcoat_leather.rvmat",
			"DUG\client\assets\tops\woolcoat\woolcoat_leather.rvmat"
		};
	};


	class DUG_WoolCoat_Tartan_ColorBase: WoolCoat_ColorBase
	{
		hiddenSelectionsMaterials[] = {
			"DUG\client\assets\tops\woolcoat\woolcoat_tartan.rvmat",
			"DUG\client\assets\tops\woolcoat\woolcoat_tartan.rvmat",
			"DUG\client\assets\tops\woolcoat\woolcoat_tartan.rvmat"
		};
	};

	class DUG_WoolCoat_Tartan_Red: DUG_WoolCoat_Tartan_ColorBase
	{
		scope=2;
		hiddenSelectionsTextures[]=
		{
			"DUG\client\assets\tops\woolcoat\woolcoat_tartan_red_co.paa",
			"DUG\client\assets\tops\woolcoat\woolcoat_tartan_red_co.paa",
			"DUG\client\assets\tops\woolcoat\woolcoat_tartan_red_co.paa"
		};
	};


	class DUG_WoolCoat_Tartan_Green: DUG_WoolCoat_Tartan_ColorBase
	{
		scope=2;
		hiddenSelectionsTextures[]=
		{
			"DUG\client\assets\tops\woolcoat\woolcoat_tartan_green_co.paa",
			"DUG\client\assets\tops\woolcoat\woolcoat_tartan_green_co.paa",
			"DUG\client\assets\tops\woolcoat\woolcoat_tartan_green_co.paa"
		};
	};
};